ConfigOverrides
Date: 2016-12-04

com.fasterxml.jackson.databind.cfg

## Class ConfigOverrides

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverrides

- All Implemented Interfaces:
    java.io.Serializable

      public class ConfigOverrides
      extends java.lang.Object
      implements java.io.Serializable

  Container for individual `ConfigOverride` values.
  Since:
    2.8
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.Class<?>,MutableConfigOverride>` | `_overrides`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ConfigOverrides()`
    `protected` | `ConfigOverrides(java.util.Map<java.lang.Class<?>,MutableConfigOverride> overrides)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map<java.lang.Class<?>,MutableConfigOverride>` | `_newMap()`
    `ConfigOverrides` | `copy()`
    `MutableConfigOverride` | `findOrCreateOverride(java.lang.Class<?> type)`
    `ConfigOverride` | `findOverride(java.lang.Class<?> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _overrides

          protected java.util.Map<java.lang.Class<?>,MutableConfigOverride> _overrides

  - ### Constructor Detail

    - #### ConfigOverrides

          public ConfigOverrides()

    - #### ConfigOverrides

          protected ConfigOverrides(java.util.Map<java.lang.Class<?>,MutableConfigOverride> overrides)

  - ### Method Detail

    - #### copy

          public ConfigOverrides copy()

    - #### findOverride

          public ConfigOverride findOverride(java.lang.Class<?> type)

    - #### findOrCreateOverride

          public MutableConfigOverride findOrCreateOverride(java.lang.Class<?> type)

    - #### _newMap

          protected java.util.Map<java.lang.Class<?>,MutableConfigOverride> _newMap()